



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Program E-- CodeForces 18C</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Program E-- CodeForces 18C</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-18 06:47:23 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<p>Description</p>
<div>
<p>Once Bob took a paper stripe of <em>n</em> squares (the height of the stripe is 1 square). In each square he wrote an integer number, possibly negative. He became interested in how many ways exist to cut this stripe into two pieces so that the sum of numbers from one piece is equal to the sum of numbers from the other piece, and each piece contains positive integer amount of squares. Would you help Bob solve this problem?</p>
</div>
</div>
<div>
<p>Input</p>
<div>
<p>The first input line contains integer <em>n</em> (1&thinsp;&le;&thinsp;<em>n</em>&thinsp;&le;&thinsp;10<sup>5</sup>) &mdash; amount of squares in the stripe. The second line contains <em>n</em> space-separated numbers &mdash; they are the numbers written in the squares of the stripe. These numbers are integer and do not exceed 10000 in absolute value.</p>
</div>
</div>
<div>
<p>Output</p>
<div>
<p>Output the amount of ways to cut the stripe into two non-empty pieces so that the sum of numbers from one piece is equal to the sum of numbers from the other piece. Don't forget that it's allowed to cut the stripe along the squares' borders only.</p>
</div>
</div>
<div>
<p>Sample Input</p>
<div>
<div>
<div>Input</div>
<pre class="prettyprint linenums">9<br />1 5 -6 7 9 -16 0 -2 2</pre>
</div>
<div>
<div>Output</div>
<pre class="prettyprint linenums">3</pre>
</div>
<div>
<div>Input</div>
<pre class="prettyprint linenums">3<br />1 1 1</pre>
</div>
<div>
<div>Output</div>
<pre class="prettyprint linenums">0</pre>
</div>
<div>
<div>Input</div>
<pre class="prettyprint linenums">2<br />0 0</pre>
</div>
<div>
<div>Output</div>
<pre class="prettyprint linenums">1

题目大意：有一个序列包含n个数，将其分为左右两部分，问要使得左右两边数之和须相等，求出现这种情况的次数。

分析：这题要求很简单，用暴力求解在简单不过了。先求这个序列的总和（用sum表示），左边数之和用z表示，<br />如果z=sum/2，就将次数加1（用cnt表示）.

注意：由于序列的个数较大，不宜每次将z累加之后再判断其是否等于sum/2，这样所花的时间很长；只需判断sum%2的值是1还是0，<br />如果是1，则sum为奇数，直接输出0，如果是0，代表sum为偶数，继续累加再判断。

代码如下：

</pre>
<pre class="prettyprint linenums">#include &lt;iostream&gt;<br />
#include &lt;cstdio&gt;<br />
const int maxn=100005;<br />
using namespace std;<br />
int main()<br />
{<br />
    int t,sum,a[maxn],flag,zot;<br />
    while(scanf("%d",&amp;t)==1)<br />
    {<br />
        sum=0,zot=0,flag=0;<br />
        for(int i=0;i&lt;t;i++)<br />
        {<br />
            scanf("%d",a+i);<br />
            sum+=a[i];<br />
        }<br />
        if(sum%2)<br />
        {<br />
            printf("0\n");<br />
            break;<br />
        }<br />
        for(int i=0;i&lt;t-1;i++)<br />
        {<br />
            zot+=a[i];<br />
            if(zot==sum/2)<br />
                ++flag;<br />
        }<br />
        printf("%d\n",flag);<br />
    }<br />
    return 0;<br />
}
</pre>
<pre class="prettyprint linenums">&nbsp;</pre>
</div>
</div>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r8mnz5oq.html">ES6深入学习记录&lpar;三&rpar;编程风格</a>
		</li>
						<li><a href="https://www.batexi.com/a/390p02j8.html">PHP-PHP-FPM的max&lowbar;children一些误区</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z6epdq.html">C&num; Http Get  提交请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o0kop8.html">linux 下安装安装rz&sol;sz命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q240kl8.html">无线电源传输 Wireless Power Consortium &lpar;WPC&rpar; Communication</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qymlndq.html">读代码之private construtor</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q76y5e8.html">getHibernateTemplate&lpar;&rpar;的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xop1r9.html">js高级程序设计笔记之-addEventListener&lpar;&rpar;与removeEventListener&lpar;&rpar;&comma;事件解除与绑定</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnl50e8.html">POJ 3150 Cellular Automaton（矩阵乘法&plus;二分）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wxppxq.html">SQL中返回一个字符串在另一个中存在的次数</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vevz48.html">java  哈夫曼编码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnk6y0q.html">存储过程&lbrack;st&lowbar;MES&lowbar;RptInspectShipment&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjnjv38.html">ruby web性能响应时间</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7znrdx9.html">hive 锁表问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1j0xxq.html">this的用法 &ndash; JavaScript深入浅出（二）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1oepxq.html">小技巧：selenium java中如何使用chrome默认的profile</a>
		</li>
						<li><a href="https://www.batexi.com/a/96prjln8.html">点击&amp;lt&semi;a&amp;gt&semi;页面跳转解决办法&sol;跨域请求，JSONP</a>
		</li>
						<li><a href="https://www.batexi.com/a/96prdn48.html">LVS的DR模型配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kgww29.html">微信小程序登录流程及解析用户openid session&lowbar;key，获取用户信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/960j5749.html">selenium java maven testNg环境搭建</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q4yykwjq.html">MyBatis&mdash;&mdash;优化MyBatis配置文件中的配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vvkjm8.html">phalcon&colon; Profiling分析 profilter &sol;  Plugin结合&comma;dispatcher调度控制器 监听sql执行日志</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j00drwq.html">xUtils更新到3&period;0后的基本使用规则</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7mm0k1q.html">配置NGReport 报告中文</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnnz708.html">RemoteWebDriver管理</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j00xmgq.html">ActiveX控件&lpar;ATL篇&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8okk22l9.html">Unity5中叹为观止的实时GI效果</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvv7xjq.html">简单的css居中问题（日常记录）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvvnp1q.html">【CITE】5个最优秀的Java和C&num;代码转换工具</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k11lw59.html">《Java程序设计》第六周学习总结</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
